Bug 767364 - RFE [libvirt] add support for AMD Bulldozer cpu
Summary: RFE [libvirt] add support for AMD Bulldozer cpu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Martin Kletzander
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 767302
Blocks: 767307 773650 773651 773677 773696
TreeView+ depends on / blocked
 
Reported: 2011-12-13 21:36 UTC by Andrew Cathrow
Modified: 2014-09-07 22:54 UTC (History)
6 users (show)

Fixed In Version: libvirt-0.9.10-6.el6
Doc Type: Enhancement
Doc Text:
In Red Hat Enterprise Linux 6.3, libvirt has been updated to add support family 15h microarchitecture AMD processors. With this update, libvirt now leverages new features these processors include.
Clone Of:
Environment:
Last Closed: 2012-06-20 06:38:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0748 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2012-06-19 19:31:38 UTC

Description Andrew Cathrow 2011-12-13 21:36:49 UTC

Comment 6 min zhan 2012-03-20 07:21:07 UTC
Verified with the following pkgs:

libvirt-0.9.10-6.el6
qemu-kvm-0.12.1.2-2.248.el6
# uname -r
2.6.32-251.el6.x86_64


Steps:
1. Check definition for this cpu model:

# cat /usr/share/libvirt/cpu_map.xml
...
  <model name='Opteron_G4'>
      <vendor name='AMD'/>
      <feature name='fpu'/>
      <feature name='de'/>
      <feature name='pse'/>
      <feature name='tsc'/>
      <feature name='msr'/>
      <feature name='pae'/>
      <feature name='mce'/>
      <feature name='cx8'/>
      <feature name='apic'/>
      <feature name='sep'/>
      <feature name='mtrr'/>
      <feature name='pge'/>
      <feature name='mca'/>
      <feature name='cmov'/>
      <feature name='pat'/>
      <feature name='pse36'/>
      <feature name='clflush'/>
      <feature name='mmx'/>
      <feature name='fxsr'/>
      <feature name='sse'/>
      <feature name='sse2'/>
      <feature name='pni'/>
      <feature name='pclmuldq'/>
      <feature name='ssse3'/>
      <feature name='cx16'/>
      <feature name='sse4.1'/>
      <feature name='sse4.2'/>
      <feature name='popcnt'/>
      <feature name='aes'/>
      <feature name='xsave'/>
      <feature name='avx'/>
      <feature name='syscall'/>
      <feature name='nx'/>
      <feature name='pdpe1gb'/>
      <feature name='rdtscp'/>
      <feature name='lm'/>
      <feature name='lahf_lm'/>
      <feature name='svm'/>
      <feature name='abm'/>
      <feature name='sse4a'/>
      <feature name='sse4a'/>
      <feature name='misalignsse'/>
      <feature name='3dnowprefetch'/>
      <feature name='xop'/>
      <feature name='fma4'/>
    </model>

2. Tested with machine in beaker: amd-dinar-07.lab.bos.redhat.com, check the cpu model should be Opteron_G4.

# virsh capabilities
<capabilities>

  <host>
    <uuid>00001111-0000-2222-0000-888800009999</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>Opteron_G4</model>  
      <vendor>AMD</vendor>
      <topology sockets='2' cores='8' threads='2'/>
      <feature name='nodeid_msr'/>
      <feature name='wdt'/>
      <feature name='skinit'/>
      <feature name='ibs'/>
      <feature name='osvw'/>
      <feature name='cr8legacy'/>
      <feature name='extapic'/>
      <feature name='cmp_legacy'/>
      <feature name='fxsr_opt'/>
      <feature name='mmxext'/>
      <feature name='osxsave'/>
      <feature name='monitor'/>
      <feature name='ht'/>
      <feature name='vme'/>
    </cpu>
...

Comment 7 Martin Kletzander 2012-05-03 13:04:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    AMD Bulldozer CPU was not supported
Consequence
    Nobody could make any use of this processor nor it's flags
Change
    The description for AMD Bulldozer CPU was added
Result
    Everyone can make the use of this processor and it's flags

Comment 8 Martin Prpič 2012-05-09 11:23:46 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,8 +1 @@
-Cause
+In Red Hat Enterprise Linux 6.3, libvirt has been updated to add support family 15h microarchitecture AMD processors. With this update, libvirt now leverages new features these processors include.-    AMD Bulldozer CPU was not supported
-Consequence
-    Nobody could make any use of this processor nor it's flags
-Change
-    The description for AMD Bulldozer CPU was added
-Result
-    Everyone can make the use of this processor and it's flags

Comment 10 errata-xmlrpc 2012-06-20 06:38:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html


Note You need to log in before you can comment on or make changes to this bug.